hpp-python: pyhpp::core::PathPlanner Struct Reference

hpp-python 9.0.2 python bindings for HPP, based on boost python

Public Member Functions | Public Attributes | List of all members
pyhpp::core::PathPlanner Struct Reference

`#include <pyhpp/core/path-planner.hh>`

## Public Member Functions
const RoadmapPtr_t & | roadmap () const
ProblemConstPtr_t | problem () const
void | startSolve ()
PathVectorPtr_t | solve ()
void | tryConnectInitAndGoals ()
void | oneStep ()
PathVectorPtr_t | finishSolve (const PathVectorPtr_t &path)
void | interrupt ()
void | maxIterations (const unsigned long int &n)
unsigned long int | maxIterations () const
void | timeOut (const double &timeOut)
double | timeOut () const
void | stopWhenProblemIsSolved (bool enable)
PathVectorPtr_t | computePath () const

## Public Attributes
hpp::core::PathPlannerPtr_t | obj

## Member Function Documentation

## ◆ computePath()

PathVectorPtr_t pyhpp::core::PathPlanner::computePath | ( |  | ) | const

## ◆ finishSolve()

PathVectorPtr_t pyhpp::core::PathPlanner::finishSolve | ( | const PathVectorPtr_t & | path | ) |

## ◆ interrupt()

void pyhpp::core::PathPlanner::interrupt | ( |  | ) |

## ◆ maxIterations() [1/2]

unsigned long int pyhpp::core::PathPlanner::maxIterations | ( |  | ) | const

## ◆ maxIterations() [2/2]

void pyhpp::core::PathPlanner::maxIterations | ( | const unsigned long int & | n | ) |

## ◆ oneStep()

void pyhpp::core::PathPlanner::oneStep | ( |  | ) |

## ◆ problem()

ProblemConstPtr_t pyhpp::core::PathPlanner::problem | ( |  | ) | const

## ◆ roadmap()

const RoadmapPtr_t & pyhpp::core::PathPlanner::roadmap | ( |  | ) | const

## ◆ solve()

PathVectorPtr_t pyhpp::core::PathPlanner::solve | ( |  | ) |

## ◆ startSolve()

void pyhpp::core::PathPlanner::startSolve | ( |  | ) |

## ◆ stopWhenProblemIsSolved()

void pyhpp::core::PathPlanner::stopWhenProblemIsSolved | ( | bool | enable | ) |

## ◆ timeOut() [1/2]

double pyhpp::core::PathPlanner::timeOut | ( |  | ) | const

## ◆ timeOut() [2/2]

void pyhpp::core::PathPlanner::timeOut | ( | const double & | timeOut | ) |

## ◆ tryConnectInitAndGoals()

void pyhpp::core::PathPlanner::tryConnectInitAndGoals | ( |  | ) |

## Member Data Documentation

## ◆ obj

hpp::core::PathPlannerPtr_t pyhpp::core::PathPlanner::obj

The documentation for this struct was generated from the following file:

- include/pyhpp/core/path-planner.hh